﻿@page "/Proyectos"


@using Hackaton.Shared


@inject NavigationManager _navManager


<PageTitle>Listado de Proyectos</PageTitle>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        /* Estilos para la tabla de proyectos */
        .table {
            width: 100%;
            max-width: 100%;
            margin-bottom: 1rem;
            background-color: transparent;
        }

            .table th,
            .table td {
                padding: 0.75rem;
                vertical-align: top;
                border-top: 1px solid #dee2e6;
            }

            .table thead th {
                vertical-align: bottom;
                border-bottom: 2px solid #dee2e6;
            }

            .table tbody + tbody {
                border-top: 2px solid #dee2e6;
            }

            .table .table {
                background-color: #fff;
            }

        .table-sm th,
        .table-sm td {
            padding: 0.3rem;
        }

        .table-bordered {
            border: 1px solid #dee2e6;
        }

            .table-bordered th,
            .table-bordered td {
                border: 1px solid #dee2e6;
            }

            .table-bordered thead th,
            .table-bordered thead td {
                border-bottom-width: 2px;
            }

        .table-striped tbody tr:nth-of-type(odd) {
            background-color: rgba(0, 0, 0, 0.05);
        }

        .table-hover tbody tr:hover {
            background-color: rgba(0, 0, 0, 0.075);
        }

        /* Estilos adicionales */
        .btn {
            display: inline-block;
            font-weight: 400;
            color: #212529;
            text-align: center;
            vertical-align: middle;
            cursor: pointer;
            -webkit-user-select: none;
            -moz-user-select: none;
            -ms-user-select: none;
            user-select: none;
            background-color: transparent;
            border: 1px solid transparent;
            padding: 0.375rem 0.75rem;
            font-size: 1rem;
            line-height: 1.5;
            border-radius: 0.25rem;
            transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
        }

        .btn-primary {
            color: #fff;
            background-color: #007bff;
            border-color: #007bff;
        }

            .btn-primary:hover {
                color: #fff;
                background-color: #0069d9;
                border-color: #0062cc;
            }

        .btn-info {
            color: #fff;
            background-color: #17a2b8;
            border-color: #17a2b8;
        }

            .btn-info:hover {
                color: #fff;
                background-color: #138496;
                border-color: #117a8b;
            }

        .btn-warning {
            color: #212529;
            background-color: #ffc107;
            border-color: #ffc107;
        }

            .btn-warning:hover {
                color: #212529;
                background-color: #e0a800;
                border-color: #d39e00;
            }

        .btn-danger {
            color: #fff;
            background-color: #dc3545;
            border-color: #dc3545;
        }

            .btn-danger:hover {
                color: #fff;
                background-color: #c82333;
                border-color: #bd2130;
            }
    </style>
</head>
<div class="container">
    <div class="row mb-3">
        <div class="col-12">
            <a href="/Proyectos/agregar/0" class="btn btn-primary">
                <i class="oi oi-plus"></i> Agregar proyecto
            </a>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="table-responsive">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>Nombre</th>
                            <th>Descripción</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var proyecto in Proyectos)
                        {
                            <tr>
                                <td>@proyecto.IdProyecto</td>
                                <td>@proyecto.Nombre</td>
                                <td>@proyecto.Descripcion</td>
                                <td>
                                    <a href="/Proyectos/modificar/@proyecto.IdProyecto" class="btn btn-sm btn-warning" title="Editar">
                                        <i class="oi oi-pencil"></i>
                                    </a>
                                    <button class="btn btn-sm btn-danger" @onclick="() => EliminarProyecto(proyecto.IdProyecto)" title="Eliminar">
                                        <i class="oi oi-trash"></i>
                                    </button>
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

@code {
    private IEnumerable<Proyecto> Proyectos = new List<Proyecto>();

    protected override async Task OnInitializedAsync()
    {
        try
        {
            //Proyectos = await _proyectoServicio.ListarProyectos();
        }
        catch
        {
            // Manejo de errores
        }
    }

    private void EliminarProyecto(int id)
    {
        _navManager.NavigateTo($"/Proyectos/eliminar/{id}");
    }
}